For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet payment intents
      • GETGet payment intent by ID
      • PATCHUpdate the payment intent amount
      • GETGet the payment intent history
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment intents

Get payment intents

GET
/payment_intents
GET
/v1/payment_intents
$curl https://api.sandbox.monite.com/v1/payment_intents \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "updated_at": "2024-01-15T09:30:00Z",
6 "amount": 1,
7 "currency": "currency",
8 "payment_methods": [
9 "sepa_credit"
10 ],
11 "recipient": {
12 "id": "id",
13 "type": "entity",
14 "bank_accounts": [
15 {
16 "id": "id",
17 "account_holder_name": "Bob Jones",
18 "account_number": "12345678",
19 "bic": "DEUTDEFFXXX",
20 "country": "AF",
21 "currency": "AED",
22 "display_name": "Primary account",
23 "iban": "DE74500700100100000900",
24 "is_default": true,
25 "name": "Primary account",
26 "routing_number": "routing_number",
27 "sort_code": "123456",
28 "was_created_by_user_id": "was_created_by_user_id"
29 }
30 ],
31 "name": "name"
32 },
33 "status": "status",
34 "application_fee_amount": 1,
35 "batch_payment_id": "batch_payment_id",
36 "invoice": {
37 "due_date": "due_date",
38 "file": {
39 "mimetype": "mimetype",
40 "name": "name",
41 "url": "url"
42 },
43 "issue_date": "issue_date"
44 },
45 "object": {
46 "id": "id",
47 "type": "payable"
48 },
49 "payer": {
50 "id": "id",
51 "type": "entity",
52 "bank_accounts": [
53 {
54 "id": "id",
55 "account_holder_name": "Bob Jones",
56 "account_number": "12345678",
57 "bic": "DEUTDEFFXXX",
58 "country": "AF",
59 "currency": "AED",
60 "display_name": "Primary account",
61 "iban": "DE74500700100100000900",
62 "is_default": true,
63 "name": "Primary account",
64 "routing_number": "routing_number",
65 "sort_code": "123456",
66 "was_created_by_user_id": "was_created_by_user_id"
67 }
68 ],
69 "name": "name"
70 },
71 "payment_link_id": "payment_link_id",
72 "payment_reference": "payment_reference",
73 "provider": "provider",
74 "selected_payment_method": "sepa_credit"
75 }
76 ],
77 "next_pagination_token": "next_pagination_token",
78 "prev_pagination_token": "prev_pagination_token"
79}
Was this page helpful?
Previous

Get payment intent by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sortenumOptional

The field to sort the results by. Typically used together with the order parameter.

Allowed values:
object_idstringOptionalformat: "uuid"
ID of a payable or receivable invoice. If provided, returns only payment intents associated with the specified invoice.
object_id__instringOptionalformat: "uuid"

A list of payable IDs and/or receivable IDs. If provided, returns only payment intents associated with the specified payable and receivable invoices. Valid but nonexistent IDs do not raise errors but produce no results.

Response

Successful Response
datalist of objects
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

422
Get Payment Intents Request Unprocessable Entity Error
500
Get Payment Intents Request Internal Server Error